count: 2
list:
- accessibility: Open access
  additionDate: '2018-12-12T12:35:31Z'
  biotoolsCURIE: biotools:bio.tools
  biotoolsID: bio.tools
  collectionID: []
  confidence_flag: null
  cost: Free of charge
  credit:
  - email: null
    fundrefid: null
    gridid: null
    name: Contributors
    note: null
    orcidid: null
    rorid: null
    typeEntity: Person
    typeRole: []
    url: https://biotools.readthedocs.io/en/latest/contributors.html
  description: The community registry of computational tools and data resources for
    biosciences.
  documentation:
  - note: API usage guide
    type:
    - API documentation
    url: https://biotools.readthedocs.io/en/latest/api_usage_guide.html
  - note: API Reference
    type:
    - API documentation
    url: https://biotools.readthedocs.io/en/latest/api_reference.html
  - note: null
    type:
    - Citation instructions
    url: https://biotools.readthedocs.io/en/latest/publications.html#citation
  - note: null
    type:
    - Contributions policy
    url: https://biotools.readthedocs.io/en/latest/contributors_guide.html
  - note: null
    type:
    - General
    url: https://biotools.readthedocs.io/en/latest/
  - note: null
    type:
    - Governance
    url: https://biotools.readthedocs.io/en/latest/governance.html
  - note: Curators Guide
    type:
    - User manual
    url: https://biotools.readthedocs.io/en/latest/curators_guide.html
  download:
  - note: null
    type: Source code
    url: https://github.com/bio-tools/biotoolsRegistry
    version: null
  editPermission:
    authors:
    - hans
    type: group
  elixirCommunity: []
  elixirNode:
  - Denmark
  elixirPlatform:
  - Tools
  elixir_badge: 0
  function:
  - cmd: null
    input: []
    note: null
    operation:
    - term: Data retrieval
      uri: http://edamontology.org/operation_2422
    output:
    - data:
        term: Tool metadata
        uri: http://edamontology.org/data_0958
      format:
      - term: XML
        uri: http://edamontology.org/format_2332
      - term: JSON
        uri: http://edamontology.org/format_3464
      - term: YAML
        uri: http://edamontology.org/format_3750
  homepage: https://bio.tools
  homepage_status: 0
  language:
  - JavaScript
  - Python
  lastUpdate: '2020-06-16T10:55:28Z'
  license: GPL-3.0
  link:
  - note: null
    type:
    - Helpdesk
    url: https://biotools.readthedocs.io/en/latest/support.html?highlight=help
  - note: null
    type:
    - Issue tracker
    url: https://github.com/bio-tools/biotoolsregistry/issues
  - note: null
    type:
    - Mailing list
    url: https://biotools.readthedocs.io/en/latest/contributors_guide.html#mailing-list
  - note: null
    type:
    - Repository
    url: https://github.com/bio-tools/biotoolsregistry/
  maturity: Emerging
  name: bio.tools
  operatingSystem: []
  otherID:
  - type: rrid
    value: RRID:SCR_014695
    version: null
  owner: jison
  publication:
  - doi: 10.1093/nar/gkv1116
    metadata:
      abstract: '© The Author(s) 2015.Life sciences are yielding huge data sets that
        underpin scientific discoveries fundamental to improvement in human health,
        agriculture and the environment. In support of these discoveries, a plethora
        of databases and tools are deployed, in technically complex and diverse implementations,
        across a spectrum of scientific disciplines. The corpus of documentation of
        these resources is fragmented across the Web, with much redundancy, and has
        lacked a common standard of information. The outcome is that scientists must
        often struggle to find, understand, compare and use the best resources for
        the task at hand. Here we present a community-driven curation effort, supported
        by ELIXIR-the European infrastructure for biological information-that aspires
        to a comprehensive and consistent registry of information about bioinformatics
        resources. The sustainable upkeep of this Tools and Data Services Registry
        is assured by a curation effort driven by and tailored to local needs, and
        shared amongst a network of engaged partners. As of November 2015, the registry
        includes 1785 resources, with depositions from 126 individual registrations
        including 52 institutional providers and 74 individuals. With community support,
        the registry can become a standard for dissemination of information about
        bioinformatics resources: we welcome everyone to join us in this common endeavour.
        The registry is freely available at https://bio.tools.'
      authors:
      - name: Ison J.
      - name: Rapacki K.
      - name: Menager H.
      - name: Kalas M.
      - name: Rydza E.
      - name: Chmura P.
      - name: Anthon C.
      - name: Beard N.
      - name: Berka K.
      - name: Bolser D.
      - name: Booth T.
      - name: Bretaudeau A.
      - name: Brezovsky J.
      - name: Casadio R.
      - name: Cesareni G.
      - name: Coppens F.
      - name: Cornell M.
      - name: Cuccuru G.
      - name: Davidsen K.
      - name: Della Vedova G.
      - name: Dogan T.
      - name: Doppelt-Azeroual O.
      - name: Emery L.
      - name: Gasteiger E.
      - name: Gatter T.
      - name: Goldberg T.
      - name: Grosjean M.
      - name: Gruuing B.
      - name: Helmer-Citterich M.
      - name: Ienasescu H.
      - name: Ioannidis V.
      - name: Jespersen M.C.
      - name: Jimenez R.
      - name: Juty N.
      - name: Juvan P.
      - name: Koch M.
      - name: Laibe C.
      - name: Li J.-W.
      - name: Licata L.
      - name: Mareuil F.
      - name: Micetic I.
      - name: Friborg R.M.
      - name: Moretti S.
      - name: Morris C.
      - name: Moller S.
      - name: Nenadic A.
      - name: Peterson H.
      - name: Profiti G.
      - name: Rice P.
      - name: Romano P.
      - name: Roncaglia P.
      - name: Saidi R.
      - name: Schafferhans A.
      - name: Schwammle V.
      - name: Smith C.
      - name: Sperotto M.M.
      - name: Stockinger H.
      - name: Varekova R.S.
      - name: Tosatto S.C.E.
      - name: De La Torre V.
      - name: Uva P.
      - name: Via A.
      - name: Yachdav G.
      - name: Zambelli F.
      - name: Vriend G.
      - name: Rost B.
      - name: Parkinson H.
      - name: Longreen P.
      - name: Brunak S.
      citationCount: 73
      date: '2016-01-04T00:00:00Z'
      journal: Nucleic Acids Research
      title: 'Tools and data services registry: A community effort to document bioinformatics
        resources'
    note: null
    pmcid: null
    pmid: null
    type:
    - Primary
    version: null
  - doi: 10.12688/f1000research.12974.1
    metadata:
      abstract: © 2017 Hillion KH et al.Workbench and workflow systems such as Galaxy,
        Taverna, Chipster, or Common Workflow Language (CWL)-based frameworks, facilitate
        the access to bioinformatics tools in a user-friendly, scalable and reproducible
        way. Still, the integration of tools in such environments remains a cumbersome,
        time consuming and error-prone process. A major consequence is the incomplete
        or outdated description of tools that are often missing important information,
        including parameters and metadata such as publication or links to documentation.
        ToolDog (Tool DescriptiOn Generator) facilitates the integration of tools
        - which have been registered in the ELIXIR tools registry (https://bio.tools)
        - into workbench environments by generating tool description templates. ToolDog
        includes two modules. The first module analyses the source code of the bioinformatics
        software with language-specific plugins, and generates a skeleton for a Galaxy
        XML or CWL tool description. The second module is dedicated to the enrichment
        of the generated tool description, using metadata provided by bio.tools. This
        last module can also be used on its own to complete or correct existing tool
        descriptions with missing metadata.
      authors:
      - name: Hillion K.-H.
      - name: Kuzmin I.
      - name: Khodak A.
      - name: Rasche E.
      - name: Crusoe M.
      - name: Peterson H.
      - name: Ison J.
      - name: Menager H.
      citationCount: 6
      date: '2017-01-01T00:00:00Z'
      journal: F1000Research
      title: Using bio.tools to generate and annotate workbench tool descriptions
    note: null
    pmcid: null
    pmid: null
    type:
    - Other
    version: null
  - doi: 10.1093/gigascience/gix022
    metadata:
      abstract: '© The Author 2017.Background: Bioinformaticians routinely use multiple
        software tools and data sources in their day-to-day work and have been guided
        in their choices by a number of cataloguing initiatives. The ELIXIR Tools
        and Data Services Registry (bio.tools) aims to provide a central information
        point, independent of any specific scientific scope within bioinformatics
        or technological implementation. Meanwhile, efforts to integrate bioinformatics
        software in workbench and workflow environments have accelerated to enable
        the design, automation, and reproducibility of bioinformatics experiments.
        One such popular environment is the Galaxy framework, with currently more
        than 80 publicly available Galaxy servers around the world. In the context
        of a generic registry for bioinformatics software, such as bio.tools, Galaxy
        instances constitute a major source of valuable content. Yet there has been,
        to date, no convenient mechanism to register such services en masse. Findings:
        We present ReGaTE (Registration of Galaxy Tools in Elixir), a software utility
        that automates the process of registering the services available in a Galaxy
        instance. This utility uses the BioBlend application program interface to
        extract service metadata from a Galaxy server, enhance the metadata with the
        scientific information required by bio.tools, and push it to the registry.
        Conclusions: ReGaTE provides a fast and convenient way to publish Galaxy services
        in bio.tools. By doing so, service providers may increase the visibility of
        their services while enriching the software discovery function that bio.tools
        provides for its users.'
      authors:
      - name: Doppelt-Azeroual O.
      - name: Mareuil F.
      - name: Deveaud E.
      - name: Kalas M.
      - name: Soranzo N.
      - name: van den Beek M.
      - name: Gruning B.
      - name: Ison J.
      - name: Menager H.
      citationCount: 6
      date: '2017-06-01T00:00:00Z'
      journal: GigaScience
      title: 'ReGaTE: Registration of galaxy tools in Elixir'
    note: null
    pmcid: null
    pmid: null
    type:
    - Other
    version: null
  - doi: 10.1007/s10009-015-0392-z
    metadata:
      abstract: © 2015, The Author(s).The diversity and complexity of bioinformatics
        resources presents significant challenges to their localisation, deployment
        and use, creating a need for reliable systems that address these issues. Meanwhile,
        users demand increasingly usable and integrated ways to access and analyse
        data, especially within convenient, integrated “workbench” environments. Resource
        descriptions are the core element of registry and workbench systems, which
        are used to both help the user find and comprehend available software tools,
        data resources, and Web Services, and to localise, execute and combine them.
        The descriptions are, however, hard and expensive to create and maintain,
        because they are volatile and require an exhaustive knowledge of the described
        resource, its applicability to biological research, and the data model and
        syntax used to describe it. We present here the Workbench Integration Enabler,
        a software component that will ease the integration of bioinformatics resources
        in a workbench environment, using their description provided by the existing
        ELIXIR Tools and Data Services Registry.
      authors:
      - name: Menager H.
      - name: Kalas M.
      - name: Rapacki K.
      - name: Ison J.
      citationCount: 3
      date: '2016-11-01T00:00:00Z'
      journal: International Journal on Software Tools for Technology Transfer
      title: Using registries to integrate bioinformatics tools and services into
        workbench environments
    note: null
    pmcid: null
    pmid: null
    type:
    - Other
    version: null
  relation: []
  toolType:
  - Web API
  - Web application
  - Database portal
  topic:
  - term: Ontology and terminology
    uri: http://edamontology.org/topic_0089
  - term: Bioinformatics
    uri: http://edamontology.org/topic_0091
  - term: Data submission, annotation and curation
    uri: http://edamontology.org/topic_0219
  - term: Computational biology
    uri: http://edamontology.org/topic_3307
  validated: 1
  version: []
- accessibility: null
  additionDate: '2017-12-21T07:28:12Z'
  biotoolsCURIE: biotools:tooldog
  biotoolsID: tooldog
  collectionID: []
  confidence_flag: null
  cost: Free of charge
  credit:
  - email: null
    fundrefid: null
    gridid: null
    name: Institut Pasteur
    note: null
    orcidid: null
    rorid: null
    typeEntity: Institute
    typeRole:
    - Provider
    url: https://research.pasteur.fr
  - email: null
    fundrefid: null
    gridid: null
    name: C3BI
    note: null
    orcidid: null
    rorid: null
    typeEntity: Division
    typeRole: []
    url: https://research.pasteur.fr/en/center/c3bi/
  - email: null
    fundrefid: null
    gridid: null
    name: Bioinformatics and Biostatistics Hub
    note: null
    orcidid: null
    rorid: null
    typeEntity: Division
    typeRole:
    - Provider
    url: https://research.pasteur.fr/en/team/bioinformatics-and-biostatistics-hub/
  - email: hmenager@pasteur.fr
    fundrefid: null
    gridid: null
    name: Hervé Ménager
    note: null
    orcidid: null
    rorid: null
    typeEntity: Person
    typeRole:
    - Primary contact
    url: null
  - email: kehillio@pasteur.fr
    fundrefid: null
    gridid: null
    name: Kenzo-Hugo Hillion
    note: null
    orcidid: null
    rorid: null
    typeEntity: Person
    typeRole:
    - Primary contact
    url: null
  description: This tool aims to generate XML template for Galaxy or CWL from the
    description of tools from the bio.tools registry.
  documentation:
  - note: null
    type:
    - General
    url: http://tooldog.readthedocs.io/en/latest/?badge=latest
  download:
  - note: Download link to v.0.3.5
    type: Source code
    url: https://github.com/bio-tools/ToolDog/archive/v0.3.5.tar.gz
    version: null
  editPermission:
    authors:
    - hmenager
    type: group
  elixirCommunity: []
  elixirNode: []
  elixirPlatform: []
  elixir_badge: 0
  function:
  - cmd: null
    input: []
    note: null
    operation:
    - term: Formatting
      uri: http://edamontology.org/operation_0335
    output:
    - data:
        term: Data
        uri: http://edamontology.org/data_0006
      format:
      - term: XML
        uri: http://edamontology.org/format_2332
      - term: YAML
        uri: http://edamontology.org/format_3750
  homepage: https://github.com/bio-tools/ToolDog
  homepage_status: 0
  language:
  - Python
  lastUpdate: '2018-12-10T12:58:59Z'
  license: MIT
  link:
  - note: null
    type:
    - Repository
    url: https://github.com/bio-tools/ToolDog
  maturity: Emerging
  name: ToolDog
  operatingSystem:
  - Linux
  otherID: []
  owner: khillion
  publication:
  - doi: 10.12688/f1000research.12974.1
    metadata:
      abstract: © 2017 Hillion KH et al.Workbench and workflow systems such as Galaxy,
        Taverna, Chipster, or Common Workflow Language (CWL)-based frameworks, facilitate
        the access to bioinformatics tools in a user-friendly, scalable and reproducible
        way. Still, the integration of tools in such environments remains a cumbersome,
        time consuming and error-prone process. A major consequence is the incomplete
        or outdated description of tools that are often missing important information,
        including parameters and metadata such as publication or links to documentation.
        ToolDog (Tool DescriptiOn Generator) facilitates the integration of tools
        - which have been registered in the ELIXIR tools registry (https://bio.tools)
        - into workbench environments by generating tool description templates. ToolDog
        includes two modules. The first module analyses the source code of the bioinformatics
        software with language-specific plugins, and generates a skeleton for a Galaxy
        XML or CWL tool description. The second module is dedicated to the enrichment
        of the generated tool description, using metadata provided by bio.tools. This
        last module can also be used on its own to complete or correct existing tool
        descriptions with missing metadata.
      authors:
      - name: Hillion K.-H.
      - name: Kuzmin I.
      - name: Khodak A.
      - name: Rasche E.
      - name: Crusoe M.
      - name: Peterson H.
      - name: Ison J.
      - name: Menager H.
      citationCount: 6
      date: '2017-01-01T00:00:00Z'
      journal: F1000Research
      title: Using bio.tools to generate and annotate workbench tool descriptions
    note: null
    pmcid: null
    pmid: null
    type:
    - Primary
    version: null
  relation: []
  toolType:
  - Command-line tool
  topic:
  - term: Ontology and terminology
    uri: http://edamontology.org/topic_0089
  - term: Bioinformatics
    uri: http://edamontology.org/topic_0091
  validated: 1
  version:
  - 0.3.5
next: null
previous: null
